<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_121) on Mon Mar 06 16:33:56 AST 2017 -->
<meta name="date" content="2017-03-06">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="index.html?package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;&lt;Unnamed&gt;</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="TwoDimDictionary.html" title="interface in &lt;Unnamed&gt;">TwoDimDictionary</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">The TwoDimDictionary interface contains method to represent a quad tree in a XY plane
 Implementation of quad tree has no limitation on the type i.e, sub nodes can be of any shape like circle, triangle etc,..</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="Point.html" title="class in &lt;Unnamed&gt;">Point</a></td>
<td class="colLast">
<div class="block">This class represents X and Y position of a point in  an XY plane</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="QuadTree.html" title="class in &lt;Unnamed&gt;">QuadTree</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="QuadTreeTest.html" title="class in &lt;Unnamed&gt;">QuadTreeTest</a></td>
<td class="colLast">
<div class="block">Represent JUNIT test class of QuadTree</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="Rectangle.html" title="class in &lt;Unnamed&gt;">Rectangle</a></td>
<td class="colLast">
<div class="block">This class represents the quad tree nodes.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="RectangleTest.html" title="class in &lt;Unnamed&gt;">RectangleTest</a></td>
<td class="colLast">
<div class="block">Represent JUNIT test class of Rectangle</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="SimpleTwoDimDictionary.html" title="class in &lt;Unnamed&gt;">SimpleTwoDimDictionary</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">This class Generates quad tree nodes of a quad tree and also with searching a node contents 
  Noteworthy Features: 
 
 The rectangular region is recursively sub divided to four quadrants unit it reaches a preset depth
 Points in the region is searched recursively covering all the quadrants bounded by the reference rectangular region
 Dot file is generated for point in any of the location
 Recursive logic is used to generate the Dot File
 </div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="SimpleTwoDimDictionaryTest.html" title="class in &lt;Unnamed&gt;">SimpleTwoDimDictionaryTest</a></td>
<td class="colLast">
<div class="block">Represent JUNIT test class of SimpleTwoDimDictionary</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="TwoDimDictionaryTest.html" title="class in &lt;Unnamed&gt;">TwoDimDictionaryTest</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="VisualQuadTree.html" title="class in &lt;Unnamed&gt;">VisualQuadTree</a></td>
<td class="colLast">
<div class="block">This Generic class represents visual way of representing QuadTree in a XY plane</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Package</li>
<li>Next&nbsp;Package</li>
</ul>
<ul class="navList">
<li><a href="index.html?package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
